Loading...
Searching...
No Matches
QGpgME::QuickJob Class Referenceabstract

`#include <quickjob.h>`

Inheritance diagram for QGpgME::QuickJob:
[legend]
Collaboration diagram for QGpgME::QuickJob:
[legend]

## Signals

void | result (const GpgME::Error &error, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

| QuickJob (std::unique_ptr< QuickJobPrivate >, QObject *parent=nullptr)
GpgME::Error | startCreate (const QString &uid, const QByteArray &algo={}, const QDateTime &expires={}, GpgME::Context::CreationFlags flags=GpgME::Context::CreateUseDefaults)
QGPGME_DEPRECATED void | startCreate (const QString &uid, const char *algo, const QDateTime &expires=QDateTime(), const GpgME::Key &key=GpgME::Key(), unsigned int flags=0)
virtual void | startAddUid (const GpgME::Key &key, const QString &uid)=0
virtual void | startRevUid (const GpgME::Key &key, const QString &uid)=0
GpgME::Error | startAddSubkey (const GpgME::Key &key, const QByteArray &algo={}, const QDateTime &expires={}, GpgME::Context::CreationFlags flags=GpgME::Context::CreateUseDefaults)
QGPGME_DEPRECATED void | startAddSubkey (const GpgME::Key &key, const char *algo, const QDateTime &expires=QDateTime(), unsigned int flags=0)
virtual void | startRevokeSignature (const GpgME::Key &key, const GpgME::Key &signingKey, const std::vector< GpgME::UserID > &userIds=std::vector< GpgME::UserID >())=0
virtual void | startAddAdsk (const GpgME::Key &key, const char *adsk)=0
GpgME::Error | startSetKeyEnabled (const GpgME::Key &key, bool enabled)
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

Interface to the modern key manipulation functions.

## Member Function Documentation

## startAddAdsk()

virtual void QGpgME::QuickJob::startAddAdsk | ( | const GpgME::Key & | key,
|  | const char * | adsk )

pure virtual

Start –quick-add-adsk

Implemented in QGpgME::QGpgMEQuickJob.

## startAddSubkey()

GpgME::Error QuickJob::startAddSubkey | ( | const GpgME::Key & | key,
|  | const QByteArray & | algo = {},
|  | const QDateTime & | expires = {},
|  | GpgME::Context::CreationFlags | flags = GpgME::Context::CreateUseDefaults )

Start –quick-add-key

## startAddUid()

virtual void QGpgME::QuickJob::startAddUid | ( | const GpgME::Key & | key,
|  | const QString & | uid )

pure virtual

Start –quick-adduid

Implemented in QGpgME::QGpgMEQuickJob.

## startCreate()

GpgME::Error QuickJob::startCreate | ( | const QString & | uid,
|  | const QByteArray & | algo = {},
|  | const QDateTime & | expires = {},
|  | GpgME::Context::CreationFlags | flags = GpgME::Context::CreateUseDefaults )

Start –quick-gen-key

## startRevokeSignature()

virtual void QGpgME::QuickJob::startRevokeSignature | ( | const GpgME::Key & | key,
|  | const GpgME::Key & | signingKey,
|  | const std::vector< GpgME::UserID > & | userIds = std::vector< GpgME::UserID >() )

pure virtual

Starts the operation to revoke the signatures made with the key signingKey on the user IDs userIds of the key key. If userIds is an empty list, then all signatures made with signingKey on the user IDs of key will be revoked.

Implemented in QGpgME::QGpgMEQuickJob.

## startRevUid()

virtual void QGpgME::QuickJob::startRevUid | ( | const GpgME::Key & | key,
|  | const QString & | uid )

pure virtual

Start –quick-revuid

Implemented in QGpgME::QGpgMEQuickJob.

## startSetKeyEnabled()

GpgME::Error QuickJob::startSetKeyEnabled | ( | const GpgME::Key & | key,
|  | bool | enabled )

Starts the operation to enable or disable the OpenPGP key key. If enabled is `true` then the key is enabled. Otherwise, the key is disabled.

Note
  Requires gpg 2.4.6.

The documentation for this class was generated from the following files:

- quickjob.h
- quickjob.cpp